LibreOffice LibreOffice 6.1 SDK API Reference

Modules | Variables
CertificateCharacters.idl File Reference
`import "com/sun/star/uno/XInterface.idl";`
`import "com/sun/star/util/DateTime.idl";`

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::security
| Interface for authorisation and authentication.

## Constant Groups
constants | com::sun::star::security::CertificateCharacters
| Constant definition of a certificate characters.

## Variables
const long | SELF_SIGNED = 0x00000001
| It is a self-signed certificate. More...
const long | HAS_PRIVATE_KEY = 0x00000004
| A private key binding with the certificate is in user's profile. More...